# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`puppet_operations_appliance::exporter`](#puppet_operations_applianceexporter): Sets up target nodes with nessary services and access for the puppet_operations_appliance When Applied to the Infrastructure Agent Node group
* [`puppet_operations_appliance::importer`](#puppet_operations_applianceimporter): Class to consume the resources provided by the exporter class. when applied to a node, all tooling agttributed to puppet_operations_appliance
* [`puppet_operations_appliance::remove_exporter`](#puppet_operations_applianceremove_exporter): disables and removes services and components enabled by the exporter class

### Functions

* [`puppet_operations_appliance::get_importer_ips`](#puppet_operations_applianceget_importer_ips)
* [`puppet_operations_appliance::get_postgres_hosts`](#puppet_operations_applianceget_postgres_hosts): Function to provide a list of pe_postgresql hosts to the puppet_operations_appliance
* [`puppet_operations_appliance::get_puppet_servers`](#puppet_operations_applianceget_puppet_servers): Function to return a list of components running pe_puppetserver to puppet_operations_appliance
* [`puppet_operations_appliance::get_puppetdb_hosts`](#puppet_operations_applianceget_puppetdb_hosts)
* [`puppet_operations_appliance::license_uuid`](#puppet_operations_appliancelicense_uuid): If no $content parameter specified, tries to read the license file from /etc/puppetlabs/license.key

### Tasks

* [`supportuser`](#supportuser): Creates pesupport user and PE Support Role, generated password should be shared with Puppet Enterprise Support personnel

## Classes

### <a name="puppet_operations_applianceexporter"></a>`puppet_operations_appliance::exporter`

Sets up target nodes with nessary services and access for the puppet_operations_appliance
When Applied to the Infrastructure Agent Node group,
Will dynamically configure all matching nodes to allow
access to key elements of Puppet Enterprise to the puppet_operations_appliance

#### Examples

##### 

```puppet
include puppet_operations_appliance::exporter
```

#### Parameters

The following parameters are available in the `puppet_operations_appliance::exporter` class:

* [`importer_ips`](#importer_ips)
* [`appliance_host`](#appliance_host)
* [`pg_user`](#pg_user)
* [`pg_group`](#pg_group)
* [`pg_psql_path`](#pg_psql_path)
* [`nfsmount_log`](#nfsmount_log)
* [`nfsmount_etc`](#nfsmount_etc)
* [`nfsmount_opt`](#nfsmount_opt)
* [`logdir`](#logdir)

##### <a name="importer_ips"></a>`importer_ips`

Data type: `Array`

An array of importer node ip addresses
Defaults to the output of a PuppetDB query

Default value: `puppet_operations_appliance::get_importer_ips()`

##### <a name="appliance_host"></a>`appliance_host`

Data type: `Optional[String]`

The certname of the puppet_operations_appliance

Default value: ``undef``

##### <a name="pg_user"></a>`pg_user`

Data type: `String`

The postgres user PE uses

Default value: `'pe-postgres'`

##### <a name="pg_group"></a>`pg_group`

Data type: `String`

The postgres group PE uses the default is pg_user

Default value: `$pg_user`

##### <a name="pg_psql_path"></a>`pg_psql_path`

Data type: `String`

The path to the postgres binary in pe

Default value: `'/opt/puppetlabs/server/bin/psql'`

##### <a name="nfsmount_log"></a>`nfsmount_log`

Data type: `Boolean`

Trigger to turn NFS Mounts for logging On Or Off

Default value: ``true``

##### <a name="nfsmount_etc"></a>`nfsmount_etc`

Data type: `Boolean`

Trigger to turn NFS Mounts for /etc/puppetlabs On Or Off

Default value: ``true``

##### <a name="nfsmount_opt"></a>`nfsmount_opt`

Data type: `Boolean`

Trigger to turn NFS Mounts for /opt/puppetlabs On Or Off

Default value: ``true``

##### <a name="logdir"></a>`logdir`

Data type: `Enum['/var/log/', '/var/log/puppetlabs/']`

Allows the scope of logging to be narrowed

Default value: `'/var/log/'`

### <a name="puppet_operations_applianceimporter"></a>`puppet_operations_appliance::importer`

Class to consume the resources provided by the exporter class.
when applied to a node, all tooling agttributed to puppet_operations_appliance will be set up

#### Examples

##### 

```puppet
include puppet_operations_appliance::importer
```

### <a name="puppet_operations_applianceremove_exporter"></a>`puppet_operations_appliance::remove_exporter`

In the event puppet_operations_appliance should be uninstalled on all or some of the exporter nodes,
this will stop NFS service, and remove the database components if applied to a postgres node

#### Examples

##### 

```puppet
include rpuppet_operations_appliance::remove_exporter
```

## Functions

### <a name="puppet_operations_applianceget_importer_ips"></a>`puppet_operations_appliance::get_importer_ips`

Type: Puppet Language

The puppet_operations_appliance::get_importer_ips function.

#### `puppet_operations_appliance::get_importer_ips()`

The puppet_operations_appliance::get_importer_ips function.

Returns: `Array` List of IP addresses of the Puppet_operations_appliance(s) or an empty array

### <a name="puppet_operations_applianceget_postgres_hosts"></a>`puppet_operations_appliance::get_postgres_hosts`

Type: Puppet Language

Function to provide a list of pe_postgresql hosts to the puppet_operations_appliance

#### `puppet_operations_appliance::get_postgres_hosts()`

Function to provide a list of pe_postgresql hosts to the puppet_operations_appliance

Returns: `Array` List of FQDN

### <a name="puppet_operations_applianceget_puppet_servers"></a>`puppet_operations_appliance::get_puppet_servers`

Type: Puppet Language

Function to return a list of components running pe_puppetserver to puppet_operations_appliance

#### `puppet_operations_appliance::get_puppet_servers()`

Function to return a list of components running pe_puppetserver to puppet_operations_appliance

Returns: `Array` List of Fqdn of nodes with the Master profile

### <a name="puppet_operations_applianceget_puppetdb_hosts"></a>`puppet_operations_appliance::get_puppetdb_hosts`

Type: Puppet Language

The puppet_operations_appliance::get_puppetdb_hosts function.

#### `puppet_operations_appliance::get_puppetdb_hosts()`

The puppet_operations_appliance::get_puppetdb_hosts function.

Returns: `Array` List of node running Puppetdb

### <a name="puppet_operations_appliancelicense_uuid"></a>`puppet_operations_appliance::license_uuid`

Type: Puppet Language

If no $content parameter specified, tries to read the license file
from /etc/puppetlabs/license.key

#### `puppet_operations_appliance::license_uuid(Optional[String] $content)`

If no $content parameter specified, tries to read the license file
from /etc/puppetlabs/license.key

Returns: `String` the uuid from a Puppet license file supplied in $content

##### `content`

Data type: `Optional[String]`

An array of puppet_operaions appliance ip addresses
Defaults to the output of a PuppetDB query

## Tasks

### <a name="supportuser"></a>`supportuser`

Creates pesupport user and PE Support Role, generated password should be shared with Puppet Enterprise Support personnel

**Supports noop?** false

